Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIInplaceSelect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          org.richfaces.component.AbstractSelectComponent
                              org.richfaces.component.AbstractInplaceSelect
                                  org.richfaces.component.UIInplaceSelect

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.InplaceComponent

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIInplaceSelect

extends AbstractInplaceSelect
implements javax.faces.component.behavior.ClientBehaviorHolder, org.richfaces.component.InplaceComponent

The <rich:inplaceSelect> component is similar to the <rich:inplaceInput> component, except that the <rich:inplaceSelect> component uses a drop-down selection box to enter text instead of a regular text field. Changes can be rendered either in-line or for the whole block, and inputs can be focused with keyboard navigation. The component is based on the JSF UISelectOne component, so all the standard rules for value definition, processing, conversion, and validation apply.

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIInplaceSelect.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIInplaceSelect()`

Method Summary
`String` | `getActiveClass()`
`String` | `getChangedClass()`
`String` | `getDefaultEventName()`
`String` | `getDefaultLabel()`
`String` | `getDisabledClass()`
`String` | `getEditEvent()` The event on which to switch the component to the edit state
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`String` | `getInputWidth()` The width of the input element
`String` | `getItemClass()`
`String` | `getListClass()`
`String` | `getListHeight()` The height of the list element
`String` | `getListWidth()` The width of the list element
`String` | `getOnblur()` Javascript code executed when this element loses focus.
`String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnfocus()` Javascript code executed when this element receives focus.
`String` | `getOninputclick()` Javascript code executed when a pointer button is clicked over the input element.
`String` | `getOninputdblclick()` Javascript code executed when a pointer button is double clicked over the input element.
`String` | `getOninputkeydown()` Javascript code executed when a key is pressed down over the input element.
`String` | `getOninputkeypress()` Javascript code executed when a key is pressed and released over the input element.
`String` | `getOninputkeyup()` Javascript code executed when a key is released over the input element.
`String` | `getOninputmousedown()` Javascript code executed when a pointer button is pressed down over the input element.
`String` | `getOninputmousemove()` Javascript code executed when a pointer button is moved within the input element.
`String` | `getOninputmouseout()` Javascript code executed when a pointer button is moved away from the input element.
`String` | `getOninputmouseover()` Javascript code executed when a pointer button is moved onto the input element.
`String` | `getOninputmouseup()` Javascript code executed when a pointer button is released over the input element.
`String` | `getOninputselect()` Javascript code executed when text in the input element is selected
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element.
`String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element.
`String` | `getOnlisthide()` Javascript code executed when the list element is hidden
`String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element.
`String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element.
`String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element.
`String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element.
`String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element.
`String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element.
`String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element.
`String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element.
`String` | `getOnlistshow()` Javascript code executed when the list element is shown
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnselectitem()` Javascript code executed when an item is selected
`String` | `getSelectItemClass()`
`org.richfaces.component.InplaceState` | `getState()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabindex()`
`String` | `getTitle()`
`boolean` | `isDisabled()` If "true", this component is disabled
`boolean` | `isOpenOnEdit()` If "false" do not switch the component to the edit state on "click"
`boolean` | `isSaveOnBlur()` If "true", apply the changes when the focus is lost
`boolean` | `isSaveOnSelect()` When "false" do not save the item as the new control value when the user selects an item from the drop-down list
`boolean` | `isShowControls()` If "true" is set, buttons for confirming or canceling are added to the component
`void` | `setActiveClass(String activeClass)`
`void` | `setChangedClass(String changedClass)`
`void` | `setDefaultLabel(String defaultLabel)`
`void` | `setDisabled(boolean disabled)`
`void` | `setDisabledClass(String disabledClass)`
`void` | `setEditEvent(String editEvent)`
`void` | `setInputWidth(String inputWidth)`
`void` | `setItemClass(String itemClass)`
`void` | `setListClass(String listClass)`
`void` | `setListHeight(String listHeight)`
`void` | `setListWidth(String listWidth)`
`void` | `setOnblur(String onblur)`
`void` | `setOnchange(String onchange)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOninputclick(String oninputclick)`
`void` | `setOninputdblclick(String oninputdblclick)`
`void` | `setOninputkeydown(String oninputkeydown)`
`void` | `setOninputkeypress(String oninputkeypress)`
`void` | `setOninputkeyup(String oninputkeyup)`
`void` | `setOninputmousedown(String oninputmousedown)`
`void` | `setOninputmousemove(String oninputmousemove)`
`void` | `setOninputmouseout(String oninputmouseout)`
`void` | `setOninputmouseover(String oninputmouseover)`
`void` | `setOninputmouseup(String oninputmouseup)`
`void` | `setOninputselect(String oninputselect)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnlistclick(String onlistclick)`
`void` | `setOnlistdblclick(String onlistdblclick)`
`void` | `setOnlisthide(String onlisthide)`
`void` | `setOnlistkeydown(String onlistkeydown)`
`void` | `setOnlistkeypress(String onlistkeypress)`
`void` | `setOnlistkeyup(String onlistkeyup)`
`void` | `setOnlistmousedown(String onlistmousedown)`
`void` | `setOnlistmousemove(String onlistmousemove)`
`void` | `setOnlistmouseout(String onlistmouseout)`
`void` | `setOnlistmouseover(String onlistmouseover)`
`void` | `setOnlistmouseup(String onlistmouseup)`
`void` | `setOnlistshow(String onlistshow)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnselectitem(String onselectitem)`
`void` | `setOpenOnEdit(boolean openOnEdit)`
`void` | `setSaveOnBlur(boolean saveOnBlur)`
`void` | `setSaveOnSelect(boolean saveOnSelect)`
`void` | `setSelectItemClass(String selectItemClass)`
`void` | `setShowControls(boolean showControls)`
`void` | `setState(org.richfaces.component.InplaceState state)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTitle(String title)`

Methods inherited from class javax.faces.component.UISelectOne
`validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIInplaceSelect

    public UIInplaceSelect()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectOne`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getActiveClass

    public String getActiveClass()

  Specified by:
    `getActiveClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getActiveClass` in class `AbstractSelectComponent`

### setActiveClass

    public void setActiveClass(String activeClass)

### getChangedClass

    public String getChangedClass()

  Specified by:
    `getChangedClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getChangedClass` in class `AbstractSelectComponent`

### setChangedClass

    public void setChangedClass(String changedClass)

### getDefaultLabel

    public String getDefaultLabel()

  Specified by:
    `getDefaultLabel` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDefaultLabel` in class `AbstractInplaceSelect`

### setDefaultLabel

    public void setDefaultLabel(String defaultLabel)

  Specified by:
    `setDefaultLabel` in interface `org.richfaces.component.InplaceComponent`

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractInplaceSelect`
  If "true", this component is disabled

  Specified by:
    `isDisabled` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isDisabled` in class `AbstractInplaceSelect`

### setDisabled

    public void setDisabled(boolean disabled)

### getDisabledClass

    public String getDisabledClass()

  Specified by:
    `getDisabledClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDisabledClass` in class `AbstractSelectComponent`

### setDisabledClass

    public void setDisabledClass(String disabledClass)

### getEditEvent

    public String getEditEvent()

  Description copied from class: `AbstractInplaceSelect`

  The event on which to switch the component to the edit state

  Default is "click"

  Specified by:
    `getEditEvent` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getEditEvent` in class `AbstractInplaceSelect`

### setEditEvent

    public void setEditEvent(String editEvent)

### getInputWidth

    public String getInputWidth()

  Description copied from class: `AbstractInplaceSelect`
  The width of the input element

  Specified by:
    `getInputWidth` in class `AbstractInplaceSelect`

### setInputWidth

    public void setInputWidth(String inputWidth)

### getItemClass

    public String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractSelectComponent`

### setItemClass

    public void setItemClass(String itemClass)

### getListClass

    public String getListClass()

  Specified by:
    `getListClass` in class `AbstractSelectComponent`

### setListClass

    public void setListClass(String listClass)

### getListHeight

    public String getListHeight()

  Description copied from class: `AbstractSelectComponent`
  The height of the list element

  Specified by:
    `getListHeight` in class `AbstractSelectComponent`

### setListHeight

    public void setListHeight(String listHeight)

### getListWidth

    public String getListWidth()

  Description copied from class: `AbstractSelectComponent`
  The width of the list element

  Specified by:
    `getListWidth` in class `AbstractSelectComponent`

### setListWidth

    public void setListWidth(String listWidth)

### getOnblur

    public String getOnblur()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when this element loses focus.

  Specified by:
    `getOnblur` in class `AbstractSelectComponent`

### setOnblur

    public void setOnblur(String onblur)

### getOnchange

    public String getOnchange()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when the list element loses focus and its value has been modified since gaining focus.

  Specified by:
    `getOnchange` in class `AbstractSelectComponent`

### setOnchange

    public void setOnchange(String onchange)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractSelectComponent`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractSelectComponent`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnfocus

    public String getOnfocus()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when this element receives focus.

  Specified by:
    `getOnfocus` in class `AbstractSelectComponent`

### setOnfocus

    public void setOnfocus(String onfocus)

### getOninputclick

    public String getOninputclick()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is clicked over the input element.

  Specified by:
    `getOninputclick` in class `AbstractInplaceSelect`

### setOninputclick

    public void setOninputclick(String oninputclick)

### getOninputdblclick

    public String getOninputdblclick()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is double clicked over the input element.

  Specified by:
    `getOninputdblclick` in class `AbstractInplaceSelect`

### setOninputdblclick

    public void setOninputdblclick(String oninputdblclick)

### getOninputkeydown

    public String getOninputkeydown()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a key is pressed down over the input element.

  Specified by:
    `getOninputkeydown` in class `AbstractInplaceSelect`

### setOninputkeydown

    public void setOninputkeydown(String oninputkeydown)

### getOninputkeypress

    public String getOninputkeypress()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a key is pressed and released over the input element.

  Specified by:
    `getOninputkeypress` in class `AbstractInplaceSelect`

### setOninputkeypress

    public void setOninputkeypress(String oninputkeypress)

### getOninputkeyup

    public String getOninputkeyup()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a key is released over the input element.

  Specified by:
    `getOninputkeyup` in class `AbstractInplaceSelect`

### setOninputkeyup

    public void setOninputkeyup(String oninputkeyup)

### getOninputmousedown

    public String getOninputmousedown()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is pressed down over the input element.

  Specified by:
    `getOninputmousedown` in class `AbstractInplaceSelect`

### setOninputmousedown

    public void setOninputmousedown(String oninputmousedown)

### getOninputmousemove

    public String getOninputmousemove()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is moved within the input element.

  Specified by:
    `getOninputmousemove` in class `AbstractInplaceSelect`

### setOninputmousemove

    public void setOninputmousemove(String oninputmousemove)

### getOninputmouseout

    public String getOninputmouseout()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is moved away from the input element.

  Specified by:
    `getOninputmouseout` in class `AbstractInplaceSelect`

### setOninputmouseout

    public void setOninputmouseout(String oninputmouseout)

### getOninputmouseover

    public String getOninputmouseover()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is moved onto the input element.

  Specified by:
    `getOninputmouseover` in class `AbstractInplaceSelect`

### setOninputmouseover

    public void setOninputmouseover(String oninputmouseover)

### getOninputmouseup

    public String getOninputmouseup()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when a pointer button is released over the input element.

  Specified by:
    `getOninputmouseup` in class `AbstractInplaceSelect`

### setOninputmouseup

    public void setOninputmouseup(String oninputmouseup)

### getOninputselect

    public String getOninputselect()

  Description copied from class: `AbstractInplaceSelect`
  Javascript code executed when text in the input element is selected

  Specified by:
    `getOninputselect` in class `AbstractInplaceSelect`

### setOninputselect

    public void setOninputselect(String oninputselect)

### getOnkeydown

    public String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractSelectComponent`

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractSelectComponent`

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractSelectComponent`

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnlistclick

    public String getOnlistclick()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is clicked over the list element.

  Specified by:
    `getOnlistclick` in class `AbstractSelectComponent`

### setOnlistclick

    public void setOnlistclick(String onlistclick)

### getOnlistdblclick

    public String getOnlistdblclick()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is double clicked over the list element.

  Specified by:
    `getOnlistdblclick` in class `AbstractSelectComponent`

### setOnlistdblclick

    public void setOnlistdblclick(String onlistdblclick)

### getOnlisthide

    public String getOnlisthide()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when the list element is hidden

  Specified by:
    `getOnlisthide` in class `AbstractSelectComponent`

### setOnlisthide

    public void setOnlisthide(String onlisthide)

### getOnlistkeydown

    public String getOnlistkeydown()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a key is pressed down over the list element.

  Specified by:
    `getOnlistkeydown` in class `AbstractSelectComponent`

### setOnlistkeydown

    public void setOnlistkeydown(String onlistkeydown)

### getOnlistkeypress

    public String getOnlistkeypress()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a key is pressed and released over the list element.

  Specified by:
    `getOnlistkeypress` in class `AbstractSelectComponent`

### setOnlistkeypress

    public void setOnlistkeypress(String onlistkeypress)

### getOnlistkeyup

    public String getOnlistkeyup()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a key is released over the list element.

  Specified by:
    `getOnlistkeyup` in class `AbstractSelectComponent`

### setOnlistkeyup

    public void setOnlistkeyup(String onlistkeyup)

### getOnlistmousedown

    public String getOnlistmousedown()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is pressed down over the list element.

  Specified by:
    `getOnlistmousedown` in class `AbstractSelectComponent`

### setOnlistmousedown

    public void setOnlistmousedown(String onlistmousedown)

### getOnlistmousemove

    public String getOnlistmousemove()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is moved within the list element.

  Specified by:
    `getOnlistmousemove` in class `AbstractSelectComponent`

### setOnlistmousemove

    public void setOnlistmousemove(String onlistmousemove)

### getOnlistmouseout

    public String getOnlistmouseout()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is moved away from the list element.

  Specified by:
    `getOnlistmouseout` in class `AbstractSelectComponent`

### setOnlistmouseout

    public void setOnlistmouseout(String onlistmouseout)

### getOnlistmouseover

    public String getOnlistmouseover()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is moved onto the list element.

  Specified by:
    `getOnlistmouseover` in class `AbstractSelectComponent`

### setOnlistmouseover

    public void setOnlistmouseover(String onlistmouseover)

### getOnlistmouseup

    public String getOnlistmouseup()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when a pointer button is released over the list element.

  Specified by:
    `getOnlistmouseup` in class `AbstractSelectComponent`

### setOnlistmouseup

    public void setOnlistmouseup(String onlistmouseup)

### getOnlistshow

    public String getOnlistshow()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when the list element is shown

  Specified by:
    `getOnlistshow` in class `AbstractSelectComponent`

### setOnlistshow

    public void setOnlistshow(String onlistshow)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractSelectComponent`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractSelectComponent`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractSelectComponent`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractSelectComponent`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractSelectComponent`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnselectitem

    public String getOnselectitem()

  Description copied from class: `AbstractSelectComponent`
  Javascript code executed when an item is selected

  Specified by:
    `getOnselectitem` in class `AbstractSelectComponent`

### setOnselectitem

    public void setOnselectitem(String onselectitem)

### isOpenOnEdit

    public boolean isOpenOnEdit()

  Description copied from class: `AbstractInplaceSelect`
  If "false" do not switch the component to the edit state on "click"

  Specified by:
    `isOpenOnEdit` in class `AbstractInplaceSelect`

### setOpenOnEdit

    public void setOpenOnEdit(boolean openOnEdit)

### isSaveOnBlur

    public boolean isSaveOnBlur()

  Description copied from class: `AbstractInplaceSelect`
  If "true", apply the changes when the focus is lost

  Specified by:
    `isSaveOnBlur` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isSaveOnBlur` in class `AbstractInplaceSelect`

### setSaveOnBlur

    public void setSaveOnBlur(boolean saveOnBlur)

### isSaveOnSelect

    public boolean isSaveOnSelect()

  Description copied from class: `AbstractInplaceSelect`
  When "false" do not save the item as the new control value when the user selects an item from the drop-down list

  Specified by:
    `isSaveOnSelect` in class `AbstractInplaceSelect`

### setSaveOnSelect

    public void setSaveOnSelect(boolean saveOnSelect)

### getSelectItemClass

    public String getSelectItemClass()

  Specified by:
    `getSelectItemClass` in class `AbstractSelectComponent`

### setSelectItemClass

    public void setSelectItemClass(String selectItemClass)

### isShowControls

    public boolean isShowControls()

  Description copied from class: `AbstractInplaceSelect`
  If "true" is set, buttons for confirming or canceling are added to the component

  Specified by:
    `isShowControls` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isShowControls` in class `AbstractInplaceSelect`

### setShowControls

    public void setShowControls(boolean showControls)

### getState

    public org.richfaces.component.InplaceState getState()

  Specified by:
    `getState` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getState` in class `AbstractInplaceSelect`

### setState

    public void setState(org.richfaces.component.InplaceState state)

### getStyle

    public String getStyle()

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

### setStyleClass

    public void setStyleClass(String styleClass)

### getTabindex

    public String getTabindex()

  Specified by:
    `getTabindex` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getTabindex` in class `AbstractInplaceSelect`

### setTabindex

    public void setTabindex(String tabindex)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.